#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "factorial"

const int MaxD = 15004, Base = 10;
typedef int bignum [MaxD + 1];

bignum a;

void multc (bignum & a, bignum & b, int c)
{
 int i, p;
 p = 0;
 for (i = 1; i <= b[0]; i++)
 {
  p += b[i] * c;
  a[i] = p % Base;
  p /= Base;
 }
 a[0] = b[0];
 while (p)
 {
  a[0]++;
  a[a[0]] = p % Base;
  p /= Base;
 }
}

void outbln (bignum & a)
{
 int i;
 putchar (a[a[0]] + '0');
 for (i = a[0] - 1; i > 0; i--)
  putchar (a[i] + '0');
 putchar ('\n');
}

int main (void)
{
 int i, n;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf ("%d", &n) != EOF)
 {
  memset (a, 0, sizeof (a));
  a[0] = a[1] = 1;
  for (i = 1; i <= n; i++)
   multc (a, a, i);
  outbln (a);
 }
 return 0;
}
