#include <cassert>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <cstring>

#define TASKNAME "corner"

const int MaxN = 200;

int a [MaxN] [MaxN];
int k, m, n;

void count ()
{
 int i, j;
 for (i = 0; i < m - 1; i++)
  for (j = 0; j < n - 1; j++)
  {
   if (a[i][j] && a[i][j + 1] && a[i + 1][j]) k++;
  }
}

void rotate ()
{
 int i, j, l, t;
 for (i = 0; i < m + n; i++)
  for (j = 0; j < i; j++)
  {t = a[i][j]; a[i][j] = a[j][i]; a[j][i] = t;}
 t = m; m = n; n = t;
 for (i = 0; i < m; i++)
 {
  j = 0; l = n - 1;
  while (j < l)
  {
   t = a[i][j]; a[i][j] = a[i][l]; a[i][l] = t;
   j++; l--;
  }
 }
}

int main (void)
{
 int i, j;
 char c;
 freopen (TASKNAME ".in", "r", stdin);
 freopen (TASKNAME ".out", "w", stdout);
 while (scanf (" %d %d", &m, &n) != EOF)
 {
  for (i = 0; i < m; i++)
   for (j = 0; j < n; j++)
   {
    scanf (" %c", &c);
    a[i][j] = (c != 'X');
   }
  k = 0;
  count ();
  rotate ();
  count ();
  rotate ();
  count ();
  rotate ();
  count ();
  rotate ();
  printf ("%d\n", k);
 }
 return 0;
}
