#include <stdio.h>

#define Basis 10000
#define MaxL 10000

typedef short Long[MaxL + 1];

Long a, b, c;

void intToLong(int a, Long b) {
	int i;
	memset(b, 0, sizeof(Long));
	i = 0;
	do {
		i++;
		b[i] = a % Basis;
		a /= Basis;
	} while (a > 0);
	b[0] = i;
}

void writeLong(Long a) {
	int i;
	printf("%d", a[a[0]]);
	for (i = a[0] - 1; i >= 1; i--)
		printf("%04d", a[i]);
	printf("\n");
}

void mulLong(Long a, Long b, Long c) {
	int i, j, d;
	memset(c, 0, sizeof(Long));
	for (i = 1; i <= a[0]; i++)
		for (j = 1; j <= b[0]; j++) {
			d = (int) a[i] * (int) b[j] + (int) c[i + j - 1];
			c[i + j] += d / Basis;
			c[i + j - 1] = d % Basis;
		}
	c[0] = a[0] + b[0];
	while (c[0] > 1 && c[c[0]] == 0)
		c[0]--;
}

int main(void) {
	int n, i;
	freopen("factorial.in", "rt", stdin);
	freopen("factorial.out", "wt", stdout);
	scanf("%d", &n);
	intToLong(1, a);
	for (i = 2; i <= n; i++) {
		intToLong(i, b);
		mulLong(a, b, c);
		memcpy(a, c, sizeof(Long));
	}
	writeLong(a);
	return 0;
}
