#include <fstream>

#define MaxN 100000000

using namespace std;

ifstream input("factorial.in");
ofstream output("factorial.out");


struct real_number
{
	short number[MaxN + 1];
	long len;
};

void factorial(int N, real_number &x);
void write_real_number(real_number x);
void init_real_number(real_number &x);
void sum(real_number &x, real_number y);  
void multiply(real_number &answer, real_number x, real_number y);
void shift(real_number &x, long N);

int main()
{
	int N;
	input >> N;
	if (N == 0)
	{
		output << "1\n";
		return 0;
	}

    real_number A;
	factorial(N, A);
	write_real_number(A);

	input.close();
	output.close();
}

void factorial(int N, real_number &x)
{
	int i, j, curr, tmp;
	real_number y, one;
	init_real_number(y);
	init_real_number(one);
	init_real_number(x);
	x.number[1] = 1;
	one.number[1] = 1;

	for (i = 1; i <= N; i++)
	{
		sum(y, one);
		multiply(x, x, y);
	}
}

void write_real_number(real_number x)
{
	int i;
	for (i = x.len; i > 0; i --)
		output << x.number[i];
	output << '\n';
}

void init_real_number(real_number &x)
{
	memset(x.number, 0, sizeof(x.number));
	x.len = 1;
}

void sum(real_number &x, real_number y)
{
	int curr = 0, i, tmp, L;
	L = ((x.len > y.len) ? x.len : y.len) + 1;
	x.number[x.len + 1] = 0;
	y.number[y.len + 1] = 0;

	for (i = 1; i <= L; i ++)
	{
		tmp = curr;
		if (x.len >= i)
			tmp += x.number[i];
		if (y.len >= i)
			tmp += y.number[i];
		
		x.number[i] = tmp % 10;
		curr = tmp / 10;
	}
	if (x.number[L] == 0)
		x.len = L - 1;
	else
		x.len = L;
}

void multiply(real_number &answer, real_number x, real_number y)
{
	long i, j, curr = 0, tmp;
	real_number z;
	init_real_number(z);
	init_real_number(answer);
	for (i = 1; i <= y.len; i++)
	{
		init_real_number(z);
        for (j = 1; j <= x.len + 1; j++)
		{
			if (j <= x.len)
				tmp = y.number[i] * x.number[j] + curr;
			else
				tmp = curr;
			z.number[j] = tmp % 10;
			curr = tmp / 10;
		}	
		if (z.number[x.len + 1] == 0)
			z.len = x.len;
		else
			z.len = x.len + 1;

		shift(z, i - 1);
		sum(answer, z);
	}
}
void shift(real_number &x, long N)
{
	int i;
	for (i = N + x.len; i > N; i --)
	{
		x.number[i] = x.number[i - N];
	}
	for (i = N; i > 0; i--)
		x.number[i] = 0;

	x.len = x.len + N;
}